Bug 152205 - development .so symlinks should be in -devel subpackage
development .so symlinks should be in -devel subpackage
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Depends On:
  Show dependency treegraph
Reported: 2005-03-26 01:46 EST by Gerald Britton
Modified: 2013-08-09 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.32.0-6.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 05:46:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Britton 2005-03-26 01:46:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
The .so symlinks are only used for linking, and should be in the -devel
package for a given library, not in the main package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -ql boost

Actual Results:  .so linking symlinks exist in main boost package

Expected Results:  .so linking symlinks should be in boost-devel package

Additional info:
Comment 1 Benjamin Kosnik 2005-05-24 12:52:11 EDT
Fixed in boost-1.32.0-6.fc3
Comment 2 Matthew Miller 2006-07-10 16:35:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.